Bug 1289824 - yumex-dnf will not start
Summary: yumex-dnf will not start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-09 04:24 UTC by Peter Trenholme
Modified: 2016-03-26 20:20 UTC (History)
1 user (show)

Fixed In Version: yumex-dnf-4.1.6-1.fc24 yumex-dnf-4.1.6-1.fc23 yumex-dnf-4.1.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 15:18:05 UTC


Attachments (Terms of Use)

Description Peter Trenholme 2015-12-09 04:24:53 UTC
Description of problem: yumex-dnf has several problems, and can't create any windows. (See additional info, below)

Version-Release number of selected component (if applicable):latest rawhide
NOTE: $ yumex-dnf --version
usage: yumex [-h] [-d] [-y] [--icononly] [--exit] [-I PACKAGE] [-R PACKAGE]
             [--updateall] [--minimized]
yumex: error: unrecognized arguments: --version

How reproducible: every time

Steps to Reproduce: Click on yumex-dnf launch icon

Actual results: No display

Expected results: Window opening

Additional info: When started from a command line, several issues are apparent:

$ yumex-dnf
/usr/lib/python3.5/site-packages/yumex/__init__.py:69: Warning: invalid cast from 'GtkBox' to 'GtkWindow'
  self.ui.add_from_file(const.DATA_DIR + '/yumex.ui')

(yumex-dnf:4400): Gtk-CRITICAL **: gtk_window_add_accel_group: assertion 'GTK_IS_WINDOW (window)' failed

(yumex-dnf:4400): Gtk-WARNING **: State 0 for YumexPackageView 0x56448a2eab90 doesn't match state 128 set via gtk_style_context_set_state ()
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/yumex/__init__.py", line 1329, in do_command_line
    self.do_activate()
  File "/usr/lib/python3.5/site-packages/yumex/__init__.py", line 1232, in do_activate
    self.win = YumexWindow(self, self.status)
  File "/usr/lib/python3.5/site-packages/yumex/__init__.py", line 401, in __init__
    CONFIG.conf.color_normal = color_to_hex(color_normal)
  File "/usr/lib/python3.5/site-packages/yumex/misc.py", line 118, in color_to_hex
    return rgb_to_hex(color.red, color.green, color.blue)
  File "/usr/lib/python3.5/site-packages/yumex/misc.py", line 114, in rgb_to_hex
    return "#%02X%02X%02X" % (r, g, b)
TypeError: %X format: an integer is required, not float

Comment 1 Tim Lauridsen 2015-12-09 09:44:11 UTC
fixed upstream

https://github.com/timlau/yumex-dnf/commit/017fffb0220e05d18b541d00a8ea2eda2a88351c

you can try the development builds (4.3.x) here.https://copr.fedoraproject.org/coprs/timlau/yumex-dnf/

they have the fix included.

Comment 2 Peter Trenholme 2015-12-10 20:44:53 UTC
Well, your new version seems to run, but there's one minor warning from the dnfdaemon client:

$ /usr/lib/python3.5/site-packages/dnfdaemon/client/__init__.py:291: PyGIDeprecationWarning: GObject.G_MAXINT is deprecated; use GLib.MAXINT instead
  user_data=data, timeout=GObject.G_MAXINT)

Comment 3 Tim Lauridsen 2015-12-11 08:53:42 UTC
This is also fixed upstream

https://github.com/timlau/dnf-daemon/commit/19d524da7a62319a8c3a3346b1178c6b16daa5bb

Comment 4 Jan Kurik 2016-02-24 15:32:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Fedora Update System 2016-03-17 12:10:33 UTC
yumex-dnf-4.1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 6 Fedora Update System 2016-03-17 12:35:43 UTC
yumex-dnf-4.1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 7 Fedora Update System 2016-03-17 12:35:57 UTC
yumex-dnf-4.1.6-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 8 Fedora Update System 2016-03-18 14:57:11 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f5cc390c9

Comment 9 Fedora Update System 2016-03-18 23:55:40 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-927d14cf42

Comment 10 Fedora Update System 2016-03-19 01:26:00 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e89a93119

Comment 11 Fedora Update System 2016-03-23 15:17:53 UTC
yumex-dnf-4.1.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-26 19:49:20 UTC
yumex-dnf-4.1.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-26 20:20:06 UTC
yumex-dnf-4.1.6-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.